Bug 172188 - [PATCH] games/blue: Changed all to ${PORTNAME} and pkg-descr, take maintainership
Summary: [PATCH] games/blue: Changed all to ${PORTNAME} and pkg-descr, take maintainer...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-30 19:00 UTC by nemysis
Modified: 2012-10-06 14:50 UTC (History)
0 users

See Also:


Attachments
blue-2.10.patch (2.27 KB, patch)
2012-09-30 19:00 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-09-30 19:00:10 UTC
Makefile changed

+DISTNAME=	bluemoon-${DISTVERSION}

+COMMENT=	Blue Moon card solitaire

+LICENSE=	BSD

Changed all to ${PORTNAME}

Changed pkg-descr


- Take maintainership

Generated and tested manually, tested with port test and with RedPorts (all RELEASES, CLANG), sent with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

How-To-Repeat: 
portlint -A
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: only one MASTER_SITE configured.  Consider adding additional mirrors.
0 fatal errors and 2 warnings found.

Build log RedPorts

https://redports.org/buildarchive/20120930171032-23775/
Comment 1 Jason E. Hale freebsd_committer 2012-10-04 03:26:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jhale

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-10-06 14:42:46 UTC
Author: jhale
Date: Sat Oct  6 13:42:26 2012
New Revision: 305362
URL: http://svn.freebsd.org/changeset/ports/305362

Log:
  - Add LICENSE
  - Mark MAKE_JOBS_SAFE
  - Update pkg-descr
  - Convert Makefile header to new format
  - Pass maintainership to submitter
  
  PR:		ports/172188
  Submitted by:	nemysis <nemysis@gmx.ch>
  Approved by:	makc (mentor)

Modified:
  head/games/blue/Makefile   (contents, props changed)
  head/games/blue/pkg-descr   (contents, props changed)

Modified: head/games/blue/Makefile
==============================================================================
--- head/games/blue/Makefile	Sat Oct  6 13:40:15 2012	(r305361)
+++ head/games/blue/Makefile	Sat Oct  6 13:42:26 2012	(r305362)
@@ -11,12 +11,17 @@ CATEGORIES=	games
 MASTER_SITES=	http://www.catb.org/~esr/bluemoon/
 DISTNAME=	bluemoon-${PORTVERSION}
 
-MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A Blue Moon card solitaire
+MAINTAINER=	nemysis@gmx.ch
+COMMENT=	Blue Moon card solitaire
+
+LICENSE=	BSD
 
 USE_GMAKE=	yes
 ALL_TARGET=	bluemoon
-PLIST_FILES=	bin/blue bin/bluemoon
+MAKE_JOBS_SAFE=	yes
+
+PLIST_FILES=	bin/blue \
+		bin/bluemoon
 
 MAN6=		bluemoon.6
 MLINKS=		bluemoon.6 blue.6
@@ -28,6 +33,6 @@ post-patch:
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/bluemoon ${PREFIX}/bin
 	@${LN} -sf bluemoon ${PREFIX}/bin/blue
-	${INSTALL_MAN} ${WRKSRC}/bluemoon.6 ${MANPREFIX}/man/man6
+	${INSTALL_MAN} ${MAN6:S|^|${WRKSRC}/|} ${MAN6PREFIX}/man/man6
 
 .include <bsd.port.mk>

Modified: head/games/blue/pkg-descr
==============================================================================
--- head/games/blue/pkg-descr	Sat Oct  6 13:40:15 2012	(r305361)
+++ head/games/blue/pkg-descr	Sat Oct  6 13:42:26 2012	(r305362)
@@ -1,6 +1,18 @@
-				Blue Moon
-			by Tim Lister and Eric S. Raymond
+bluemoon - Blue Moon card solitaire
 
-This simple game includes complete instructions on the game screen.
+This 52-card solitaire starts with the entire deck shuffled and
+dealt out in four rows. The aces are then moved to the left end of
+the layout, making 4 initial free spaces. You may move to a space
+only the card that matches the left neighbor in suit, and is one
+greater in rank.  Kings are high, so no cards may be placed to their
+right (they create dead spaces).
+
+When no moves can be made, cards still out of sequence are reshuffled
+and dealt face up after the ends of the partial sequences, leaving
+a card space after each sequence, so that each row looks like a
+partial sequence followed by a space, followed by enough cards to
+make a row of 14. A moment's reflection will show that this game
+cannot take more than 13 deals. A good score is 1-3 deals, 4-7 is
+average, 8 or more is poor.
 
 WWW: http://www.catb.org/~esr/bluemoon/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason E. Hale freebsd_committer 2012-10-06 14:42:48 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!